<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'assetdocs',

    /*
     * Package.
     */
    'package'   => 'student',

    /*
     * Modules.
     */
    'modules'   => ['student'],

    'image'    => [

        'sm' => [
            'width'     => '140',
            'height'    => '140',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'md' => [
            'width'     => '370',
            'height'    => '420',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

        'lg' => [
            'width'     => '780',
            'height'    => '497',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],
        'xl' => [
            'width'     => '800',
            'height'    => '530',
            'action'    => 'fit',
            'watermark' => 'img/logo/default.png',
        ],

    ],

    
    'student'       => [
        'model'                 => 'Assetdocs\Student\Models\Student',
        'table'                 => 'students',
        'presenter'             => \Assetdocs\Student\Repositories\Presenter\StudentItemPresenter::class,
        'hidden'                => [],
        'visible'               => [],
        'guarded'               => ['*'],
        'slugs'                 => ['slug' => 'name'],
        'dates'                 => ['deleted_at'],
        'appends'               => [],
        'fillable'              => ['user_id', 'id',  'name',  'type',  'description',  'PRIMARY'],
        'translatables'         => ['id',  'name',  'type',  'description',  'PRIMARY'],
        'upload_folder'         => 'student/student',
        'uploads'               => [],
        'casts'                 => [],
        'revision'              => [],
        'perPage'               => '20',
        'search'        => [
            'name'  => 'like',
            'status',
        ],

    ],
];
